Bug 1411124 - [GSS] [RFE]: Make --xml option functional for gluster volume heal subcommands
Summary: [GSS] [RFE]: Make --xml option functional for gluster volume heal subcommands
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: unspecified
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Ravishankar N
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On:
Blocks: 1408949 RHGS-usability-bug-GSS RHGS-3.4-GSS-proposed-tracker
TreeView+ depends on / blocked
 
Reported: 2017-01-08 14:59 UTC by Pan Ousley
Modified: 2018-10-30 16:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-29 05:24:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pan Ousley 2017-01-08 14:59:07 UTC
1. Who is the customer behind the request?  

Account: Red Hat IT/IS
Acct. #: 5243891
Strategic: Yes  
  
2. What is the nature and description of the request?

The --xml option works as expected with # gluster --xml volume heal <volname> info, but not with # gluster --xml volume heal vol01 statistics heal-count (shown below). The request is to make --xml a functional option for these (and any other) heal subcommands.


Example (expected output format):

[root@rhs-c01-n01 ~]# gluster --xml volume heal vol01 info
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <healInfo>
    <bricks>
      <brick hostUuid="169880d5-0706-4674-9f28-22c055ec10e5">
        <name>rhs-c01-n01.qa.int.phx1.redhat.com:/rhgs/vol01/brick01/fs</name>
        <status>Connected</status>
        <numberOfEntries>0</numberOfEntries>
      </brick>


Example of non-functional --xml option:

[root@rhs-c01-n01 ~]# gluster --xml volume heal vol01 statistics heal-count
Gathering count of entries to be healed on volume vol01 has been successful 

Brick rhs-c01-n01.qa.int.phx1.redhat.com:/rhgs/vol01/brick01/fs
Number of entries: 0

Brick rhs-c01-n02.qa.int.phx1.redhat.com:/rhgs/vol01/brick01/fs
Number of entries: 0

Brick rhs-c01-n03.qa.int.phx1.redhat.com:/rhgs/vol01/brick01/fs
Number of entries: 0


Note You need to log in before you can comment on or make changes to this bug.